### Class

# Gtk FlattenListModel

since: 4.0

#### Description [src]

    final class Gtk.FlattenListModel : GObject.Object
      implements Gio.ListModel, Gtk.SectionModel {
      /* No available fields */
    }

`GtkFlattenListModel` is a list model that concatenates other list models.

`GtkFlattenListModel` takes a list model containing list models, and flattens it into a single model. Each list model becomes a section in the single model.

Available since: 4.0

#### Ancestors

- GObject

#### Implements

- GListModel
- GtkSectionModel

#### Constructors

###### gtk_flatten_list_model_new

Creates a new `GtkFlattenListModel` that flattens `list`.

since: 4.0

#### Instance methods

###### gtk_flatten_list_model_get_model

Gets the model set via gtk_flatten_list_model_set_model().

since: 4.0

###### gtk_flatten_list_model_get_model_for_item

Returns the model containing the item at the given position.

since: 4.0

###### gtk_flatten_list_model_set_model

Sets a new model to be flattened.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

since: 2.44

###### g_list_model_get_object

Get the item at `position`.

since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

since: 2.44

##### Methods inherited from GtkSectionModel (2)

###### gtk_section_model_get_section

Query the section that covers the given position. The number of items in the section can be computed by `out_end - out_start`.

since: 4.12

###### gtk_section_model_sections_changed

No description available.

since: 4.0

#### Properties

###### Gtk.FlattenListModel:item-type

The type of items. See `g_list_model_get_item_type()`.

since: 4.8

###### Gtk.FlattenListModel:model

The model being flattened.

since: 4.0

###### Gtk.FlattenListModel:n-items

The number of items. See `g_list_model_get_n_items()`.

since: 4.8

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

since: 2.44

##### Signals inherited from GtkSectionModel (1)

###### GtkSectionModel::sections-changed

Emitted when the start-of-section state of some of the items in `model` changes.

since: 4.12

#### Class structure

    struct GtkFlattenListModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.